Retrieve income/expenditure report transactions

Returns the transactions used to produce a specific aggregation in an income and expenditure report. Use the reference for the aggregation, found in the _links property of the report. To retrieve the same transactions that produced the aggregation, use the same from, to and currency values as the original insights_beta_report_income_expenditure_get request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A unique reference used to identify a group of transactions in report for aggregation analysis

Query Params
string

A start time to check financial data for insights from. Configures the earliest financial data which may be used to generate insights. If omitted, defaults to the start of the sixth complete month prior to the latest ingested financial data. Note that some insights will only be checked for complete months entirely between the from and to dates.

string

An end time to check financial data for insights up to. Configures the latest financial data which may be used to generate insights. If omitted, defaults to the date of the latest ingested financial data. Note that some insights will only be checked for complete months entirely between the from and to dates. Insights relating to potential future events, such as cannot_cover_bills, may forecast them up to a month after this point.

string

Used to limit the insight reports returned, to only those in the specified currency. The value should represent
a valid ISO currency code. an example would be "GBP" or "EUR".

Please refer to https://www.iso.org/iso-4217-currency-codes.html for more details.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json